terraform {
    backend "s3" {
        # PROVIDE THIS KEY ... FILE ISOLATION
        key = "global/s3/terraform.tfstate"
        # PROVIDE THIS KEY ... FILE ISOLATION
    }
    required_version = ">= 1.0.0"
    required_providers {
        aws = {
            source  = "hashicorp/aws"
            version = ">= 5.0.0"
        }
    }
}
provider "aws" {
    region = var.aws_region
    # using aws-vault to assume a role
    assume_role {
        duration = "3600s" 
        role_arn = var.role_arn 
  }
}
