# === General ===

variable "resource_name_prefix" {
  type        = string
  description = "Resource name prefix used for tagging and naming AWS resources"
  default = "tf-state"
}

variable "aws_region" {
  type        = string
  description = "AWS region where Vault will be deployed"
  default = "eu-north-1"
}

variable "role_arn" {
  type        = string
  description = "The assumed role to use for this project."
}

variable "common_tags" {
  type        = map(string)
  description = "(Optional) Map of common tags for all taggable AWS resources."
  default     = {
    "project" = "tf-state-on-s3"
  }
}